
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP正则表达式的使用技巧 / iVAN</title>

    <meta name="description" content="PHP正则表达式的使用技巧 PHP正则表达式的定义: 用于描述字符排列和匹配模式的一种语法规则.它主要用于字符串的模式分割.匹配.查找及替换操作. PHP中的正则函数: PHP中有两套正则函数,两者功能差不多,分别为: 一套是由PCRE(Perl Compatible Regular Expression)库提供的.使用&quot;preg_&quot;为前缀命名的函数: 一套由POSIX(Portable Operating System Interface of Unix )扩展提供的.使用以&quot;ereg_&q ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP正则表达式的使用技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>PHP正则表达式的定义：</p>
<p>用于描述字符排列和匹配模式的一种语法规则。它主要用于字符串的模式分割、匹配、查找及替换操作。</p>
<p>PHP中的正则函数：</p>
<p>PHP中有两套正则函数，两者功能差不多，分别为：</p>
<p>一套是由PCRE（Perl Compatible Regular Expression）库提供的。使用“preg_”为前缀命名的函数；</p>
<p>一套由POSIX（Portable Operating System Interface of Unix ）扩展提供的。使用以“ereg_”为前缀命名的函数；（POSIX的正则函数库，自PHP 5.3以后，就不在推荐使用，从PHP6以后，就将被移除）</p>
<p>由于POSIX正则即将推出历史舞台，并且PCRE和perl的形式差不多，更利于我们在perl和php之间切换，所以这里重点介绍PCRE正则的使用。</p>
<p>PCRE正则表达式</p>
<p>PCRE全称为Perl Compatible Regular Expression，意思是Perl兼容正则表达式。</p>
<p>在PCRE中，通常将模式表达式（即正则表达式）包含在两个反斜线“/”之间，如“/apple/”。</p>
<p>正则中重要的几个概念有：元字符、转义、模式单元（重复）、反义、引用和断言，这些概念都可以在文章[1]中轻松的理解和掌握。</p>
<p>常用的元字符(Meta-character)：</p>
<p>元字符     说明</p>
<p>/A       匹配字符串串首的原子</p>
<p>/Z       匹配字符串串尾的原子</p>
<p>/b       匹配单词的边界     //bis/   匹配头为is的字符串   /is/b/   匹配尾为is的字符串   //bis/b/ 定界</p>
<p>/B       匹配除单词边界之外的任意字符   //Bis/   匹配单词“This”中的“is”</p>
<p>/d     匹配一个数字；等价于[0-9]</p>
<p>/D     匹配除数字以外任何一个字符；等价于[^0-9]</p>
<p>/w     匹配一个英文字母、数字或下划线；等价于[0-9a-zA-Z_]</p>
<p>/W     匹配除英文字母、数字和下划线以外任何一个字符；等价于[^0-9a-zA-Z_]</p>
<p>/s     匹配一个空白字符；等价于[/f/t/v]</p>
<p>/S     匹配除空白字符以外任何一个字符；等价于[^/f/t/v]</p>
<p>/f     匹配一个换页符等价于 /x0c 或 /cL</p>
<p>匹配一个换行符；等价于 /x0a 或 /cJ</p>
<p>匹配一个回车符等价于/x0d 或 /cM</p>
<p>/t     匹配一个制表符；等价于 /x09/或/cl</p>
<p>/v     匹配一个垂直制表符；等价于/x0b或/ck</p>
<p>/oNN   匹配一个八进制数字</p>
<p>/xNN   匹配一个十六进制数字</p>
<p>/cC    匹配一个控制字符</p>
<p>模式修正符（Pattern Modifiers）：</p>
<p>模式修正符在忽略大小写、匹配多行中使用特别多，掌握了这一个修正符，往往能解决我们遇到的很多问题。</p>
<p>i     －可同时匹配大小写字母</p>
<p>M     －将字符串视为多行</p>
<p>S     －将字符串视为单行，换行符做普通字符看待，使“.”匹配任何字符</p>
<p>X     －模式中的空白忽略不计  </p>
<p>U     －匹配到最近的字符串</p>
<p>e     －将替换的字符串作为表达使用</p>
<p>格式：/apple/i匹配“apple”或“Apple”等，忽略大小写。     /i</p>
<p>PCRE的模式单元：</p>
<p>//1 提取第一位的属性</p>
<p>/^/d{2} ([/W])/d{2}//1/d{4}$匹配“12-31-2006”、“09/27/1996”、“86 01 4321”等字符串。但上述正则表达式不匹配“12/34-5678”的格式。这是因为模式“[/W]”的结果“/”已经被存储。下个位置“/1”引用时，其匹配模式也是字符“/”。</p>
<p>当不需要存储匹配结果时使用非存储模式单元“（？：）”</p>
<p>例如/(?:a|b|c)(D|E|F)//1g/ 将匹配“aEEg”。在一些正则表达式中，使用非存储模式单元是必要的。否则，需要改变其后引用的顺序。上例还可以写成/（a|b|c）(C|E|F)/2g/。</p>
<p>PCRE正则表达式函数：</p>
<p>以下为引用的内容：</p>
<p>preg_match()和preg_match_all()   <br />preg_quote()   <br />preg_split()   <br />preg_grep()   <br />preg_replace() <br /> </p>
<p>函数的具体使用，我们可以通过PHP手册来找到，下面分享一些平时积累的正则表达式：</p>
<p>匹配action属性</p>
<p>以下为引用的内容：</p>
<p>$str = '';   <br />    $match = '';   <br />    preg_match_all('//s+action=/"(?!http:)(.*?)/"/s/', $str, $match);   <br />    print_r($match);  <br /> </p>
<p>在正则中使用回调函数</p>
<p>以下为引用的内容：</p>
<p>/**   <br />   * replace some string by callback function   <br />   *   <br />   */  <br />  function callback_replace() {   <br />      $url = 'http://esfang.house.sina.com.cn';   <br />      $str = '';   <br />      $str = preg_replace ( '/(?&lt;=/saction=/")(?!http:)(.*?)(?=/"/s)/e', 'search(/$url, //1)', $str );   <br />         <br />      echo $str;   <br />  }   <br />     <br />  function search($url, $match){   <br />      return $url . '/' . $match;   <br />  }  <br /> </p>
<p>带断言的正则匹配</p>
<p>以下为引用的内容：</p>
<p>$match = '';   <br />   $str = 'xxxxxx.com.cn bold font  <br />paragraph text</p>
<p>';   <br />   preg_match_all ( '/(?&lt;=&lt;(/w{1})&gt;).*(?=&lt;///1&gt;)/', $str, $match );   <br />   echo "匹配没有属性的HTML标签中的内容：";   <br />   print_r ( $match );  <br /> </p>
<p>替换HTML源码中的地址</p>
<p>以下为引用的内容：</p>
<p>$form_html = preg_replace ( '/(?&lt;=/saction=/"|/ssrc=/"|/shref=/")(?!http:|javascript)(.*?)(?=/"/s)/e', 'add_url(/$url, /'//1/')', $form_html );  <br /> </p>
<p>最后，正则工具虽然强大，但是从效率和编写时间上来讲，有的时候可能没有explode来的更直接，对于一些紧急或者要求不高的任务，简单、粗暴的方法也许更好。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 17:21:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e4%b8%b2/" title="字符串">字符串</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f/" title="模式">模式</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6/" title="字符">字符</a>, <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8f/" title="正则表达式">正则表达式</a>, <a href="https://www.iamivan.net/tag/%e6%ad%a3%e5%88%99/" title="正则">正则</a>, <a href="https://www.iamivan.net/tag/%e5%8c%b9%e9%85%8dphp%e6%ad%a3%e5%88%99%e8%a1%a8%e8%be%be%e5%bc%8f/" title="匹配php正则表达式">匹配php正则表达式</a>, <a href="https://www.iamivan.net/tag/perl%e5%bc%95%e7%94%a8/" title="perl引用">perl引用</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%bc%8f%e4%bf%ae%e6%ad%a3%e7%ac%a6/" title="模式修正符">模式修正符</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP正则表达式的使用技巧的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjLYep.html" rel="bookmark">JavaScript正则表达式快速判断技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:JavaScript正则表达式快速判断技巧 这里是JS的正则的一点心得,并不是最完整的规则汇总,更侧重实际运用中的快速判断,初学者接触正则之后往往会被一堆星号括号给弄晕,有了一些速判技巧就能从整体上把握从而不慌乱. JS正则快速判断技巧的核心就是:注意圆括号和问号.这已经能够应付大部分实际应用了.   一.圆括号 众所周知,正则中中括号表示范围,大括号表示重复次数,圆括号表示分组. 圆括号表示分组,但是分组内还有很多文章,细分一下:       (1):圆括号本身表示分组,同时会保存匹配的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4AYqb.html" rel="bookmark">正则表达式高级学习技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				高级|技巧|正则 前言 Regular Expressions(正则表达式,以下用RE称呼)对小弟来说一直都是神密的地带,看到一些网络上的大大,简单用RE就决解了某些文字的问题,小弟便兴起了学一学RE的想法,但小弟天生就比较懒一些,总希望看有没有些快速学习的方式,于是小弟又请出Google大神,藉由祂的神力,小弟在网络上找到了Jim Hollenhorst先生的文章,经过了阅读,小弟觉得真是不错,所以就做个小心得报告,跟Move-to.Net的朋友分享,希望能为各位大大带来一丁点在学习RE时的帮			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOVJZM.html" rel="bookmark">模板引擎正则表达式调试小技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				很久没有遇上PHP难题了,这次正则问题占了一点时间,还是老问题最大回溯.递归限制问题.学习透之后其实并不难修改调试有这类问题的正则.主要是以下几点. 基于正则表达式替换的模板引擎很容易遇上正则表达式最大回溯/递归的限制. 惰性匹配并不可怕,正常情况下模板并不会不够用,往往不会超出限制,discuz的模板引擎就大量使用了.但是因此而不去注意.不去学习,则容易书写错误并遇上问题. 当preg_*返回的是null的时候则要注意了,判断函数是is_null. 出错并不可怕,但是最好把错误都完整的输出,这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrK59M.html" rel="bookmark">javascript常用的正则表达式实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				小编之前整理了不少JavaScript常用的正则表达式实例,都是自己用的,现在放出来给大家分享下. 复制代码 代码如下: /*** 取得字符串的字节长度*/      function strlen(str)       {           var i;           var len;           len = 0;           for (i=0;i&lt;str.length;i++)           {               if (str.charCodeAt(			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdmRY4z.html" rel="bookmark">使用JS中的exec&lpar;&rpar;方法构造正则表达式验证&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式,又称正规表示法.常规表示法.(英语:Regular Expression,在代码中常简写为regex.regexp或RE),计算机科学的一个概念.正则表达式使用单个字符串来描述.匹配一系列符合某个句法规则.在很多文本编辑器里,正则表达式通常被用来检索.替换那些符合某个模式的文本. 一.Javascript中的正则表达式 在Javascript中,可以使用RegExp对象构造正则表达.我们需要新建一个实例化的RegExp()对象,可以传入两个参数:第一个参数是匹配的模式,第二个参数是一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z440BLz.html" rel="bookmark">老生常谈JavaScript 正则表达式语法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript定义正则表达式有两种方法. 1.RegExp构造函数 var pattern = new RegExp(&quot;[bc]at&quot;,&quot;i&quot;); 它接收两个参数:一个是要匹配的字符串模式,另一个是可选的标志字符串. 2.字面量 var pattern = /[bc]at/i; 正则表达式的匹配模式支持三种标志字符串: g:global,全局搜索模式,该模式将被应用于所有字符串,而并非搜索到第一个匹配项就停止搜索: i:ingore case,忽略字母大小写,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEYVyp.html" rel="bookmark">php 正则表达式小结&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				列目录时, dir *.txt或ls *.txt中的*.txt就不是一个正则表达式,因为这里*与正则式的*的含义是不同的. 正则表达式是由普通字符(例如字符 a 到 z)以及特殊字符(称为元字符)组成的文字模式.正则表达式作为一个模板,将某个字符模式与所搜索的字符串进行匹配. 3.1 普通字符 由所有那些未显式指定为元字符的打印和非打印字符组成.这包括所有的大写和小写字母字符,所有数字,所有标点符号以及一些符号. 3.2 非打印字符 字符 含义 \cx 匹配由x指明的控制字符.例如, \cM 匹			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVKowz.html" rel="bookmark">10个实用的PHP正则表达式汇总&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了10个实用的PHP正则表达式汇总,分享给大家供大家参考.具体如下: 正则表达式是程序开发中一个重要的元素,它提供用来描述或匹配文本的字符串,如特定的字符.词或算式等.但在某些情况下,用正则表达式去验证一个字符串比较复杂和费时.本文为你介绍10种常见的实用PHP正则表达式的写法,希望对你的工作有所帮助. 1. 验证E-mail地址 这是一个用于验证电子邮件的正则表达式.但它并不是高效.完美的解决方案.在此不推荐使用. 复制代码 代码如下: $email = &quot;test@ansonch			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3ZrKJz.html" rel="bookmark">asp&period;net验证一个字符串是否符合指定的正则表达式&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				/// &lt;summary&gt; /// 快速验证一个字符串是否符合指定的正则表达式. /// &lt;/summary&gt; /// &lt;param name=&quot;_express&quot;&gt;正则表达式的内容.&lt;/param&gt; /// &lt;param name=&quot;_value&quot;&gt;需验证的字符串.&lt;/param&gt; /// &lt;returns&gt;是否合法的bool值.&lt;/returns&gt; public st			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgJQOb.html" rel="bookmark" class="title">加密你的ASP页面&mdash;Script Encoder初探</a>
					<div>
						encode|加密|页面|encode|加密 一.概述 一直以来ASP技术受到了越来越多朋友的喜爱使用ASP从事WEB开发的人也越来越多.ASP一个非常明显的特征是页面在服务器端经过处理之后发送到浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4RA9M.html" rel="bookmark" class="title">利用开源项目Hibernate开发Blog系统</a>
					<div>
						项目 开发工具采用MYECLIPS3.6,首先是建立项目,导入STRUTS+HIBERNATE包,然后配置SRC跟目录下的hibernate.cfg.xml.我采用的是MYSQL数据库,所以配置如下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBdjlb.html" rel="bookmark" class="title">如何在Word 2013文档中进行字体替换</a>
					<div>
						用户在当前电脑中打开在其他电脑中创建的Word文档时,常常会遇到当前计算机缺少预先设置的字体的情况.用户可以使用Word2013提供的&quot;字体替换&quot;功能替换缺少的字体,操作步骤如下所 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPW2rz.html" rel="bookmark" class="title">超胜&lpar;Leadmax&rpar;512MDDRⅡ800内存性能参数</a>
					<div>
						型号 512M DDRⅡ800 适用类型 台式机 内存类型 DDR II 内存容量 512M 插脚数目 240pin 性能参数 芯片分布 单面八颗 内存主频 DDR2 800 颗粒封装 TinyBGA ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLqDRb.html" rel="bookmark" class="title">EJB 3&period;0开发指南之依赖值对象</a>
					<div>
						在上面的章节我们提到,实体bean的属性可以是java基本对象.Date等,事实上,实体Bean的属性也可以是其他的java对象.这些Java对象不能直接从持久化上下文中读取,它依赖于主实体bean. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wAQ1p.html" rel="bookmark" class="title">建立一个使用&period;Net 2&period;0 MemberShip功能的标准例程（二）&mdash;&mdash;配置篇</a>
					<div>
						从.net 2.0开始 asp.net 就进入了一个倡导少写代码多配置的时期 &quot;机器先进阿 我们只要把猪赶进去 对面就会从传送带里传出香肠来!&quot; 下面就是启动机器并且赶猪的工作.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPN4y0b.html" rel="bookmark" class="title">&lbrack;你必须知道的&period;NET&rsqb;第十七回：貌合神离：覆写和重载</a>
					<div>
						本文将介绍以下内容: 什么是覆写,什么是重载 覆写与重载的区别 覆写与重载在多态特性中的应用 1.引言 覆写(override)与重载(overload),是成就.NET面向对象多态特性的基本技术之一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOQr5M.html" rel="bookmark" class="title">用IE的Web服务建立ASP&period;NET应用程序</a>
					<div>
						在建立商业网站的时候,开发者遇到的一种限制是只能把浏览器作为用户界面.例如,在很多情形中,用户希望在执行某些操作(例如输入雇员编号)之后从服务器检索到信息.为了达到这个目的,他们将把页面发回到服务器, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxqA2b.html" rel="bookmark" class="title">巧设win7电源为电脑降温</a>
					<div>
						冬天的时候,如果抱着笔记本电脑上网,不用开暖气都会觉得很暖和.不过这可不是什么好事,因为电脑可比人娇气多了,如果温度过高很有可能会直接挂掉.所以大家冬天时要为自己保暖,给电脑降温,夏天时给自己降温,更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrj5Zp.html" rel="bookmark" class="title">酷狗如何对歌词进行锁定、解锁</a>
					<div>
						打开酷狗,把鼠标移到歌词上,就会显示歌词的菜单,点击&quot;锁定&quot;图标即可锁定歌词 解锁的话,右键点击任务栏里的酷狗图标,选择&quot;解锁歌词&quot;即可					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGAvab.html" rel="bookmark" class="title">千千静听怎么下载整张专辑</a>
					<div>
						第一:通过[千千静听]可以批量下载[百度MP3]上你喜欢的整张音乐专辑. 第一步:我们先打开千千静听 第二步:使用ie6.ie7.ie8.ie9浏览器,打开http://mp3.baidu.com/  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3g36p.html" rel="bookmark" class="title">使用快传下载，却提示无法关联迅雷下载？</a>
					<div>
						  [1]需先到dl.xunlei.com任意下载一个安装包看下是否与迅雷关联. [2]如果关联,只是与快传的不关联,如果只是要下载这个文件可以直接右键文件的名字, 选择迅雷下载或者选择复制下载地址到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX8Nmp.html" rel="bookmark" class="title">gcc-请问SGI STL的源码slist&lowbar;node派生的问题</a>
					<div>
						问题描述 请问SGI STL的源码slist_node派生的问题 请问SGI STL的源码中,为何要slist_node_base派生slist_node,而不是一步到位slist_node?请GCC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6K6Ob.html" rel="bookmark" class="title">【网安人的技术盛宴 】- 2015中国互联网大会 门票起售！</a>
					<div>
						问题描述 云计算安全大数据安全移动安全物联网安全等12场安全技术论坛及全线技术解析:前美国国安局局长Gen.KeithB.Alexander领衔100+资深安全专家,深入探讨全球信息安全发展趋势.分享 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamvo2b.html" rel="bookmark" class="title">盘点手机浏览器十年发展史 四代进化能否续写PC端传奇？</a>
					<div>
						手机已是当下生活必备的产品之一,CNNIC数据显示,苹果iPhone发布后的第七年-2014年中国网民手机使用率达83.4%,首次超越传统PC上网用户.浏览器一直是PC第一上网入口,而在智能手机上,浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmjlAz.html" rel="bookmark" class="title">log4j log4j&period;propertites</a>
					<div>
						Js代码   log4j.rootLogger=DEBUG,sysLog,stdout   log4j.appender.sysLog=org.apache.log4j.DailyRollingFil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZWjqp.html" rel="bookmark" class="title">来自程序员的2014新年问候-java版本</a>
					<div>
						代码如下:   package com.newyear.wish; public class 新年祝福 { public static void main(String[] args) { 新年祝福  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRo0Yp.html" rel="bookmark" class="title">创意每天免费获取2000IP</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 具体方法为: 1.到土豆注册一个帐 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKYR6np.html" rel="bookmark" class="title">正则表达式【第二卷】</a>
					<div>
						正则表达式30分钟入门教程 版本:v2.33 (2013-1-10) 作者:deerchao 转载请注明来源 本文目标 如何使用本教程 正则表达式到底是什么东西? 入门 测试正则表达式 元字符 字符转 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0kemM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;物联网&plus;VR&sol;AR&rdquo;将如何改变世界？</a>
					<div>
						时下最热的虚拟现实(VR)和增强现实(AR)技术正在刷新我们的感官体验,让我们坐在家里也能享受一个身临其境的美妙旅程.如果把它们和物联网结合在一起,会给世界带来什么样的改变? 机械制造公司卡特彼勒公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRrANb.html" rel="bookmark" class="title">《交互式程序设计 第2版》一2&period;3&period;4 运算符</a>
					<div>
						2.3.4 运算符 在程序中,运算符就是编译器用来执行命令和运算的符号,例如&quot;=&quot;用来赋值,&quot;==&quot;用来比较等.运算符有三类:一是数学运算符,用于数学运算,就跟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmQP8M.html" rel="bookmark" class="title">Watson Analytics等IBM工具走进西门子MindSphere物联网OS</a>
					<div>
						此前,IBM公布了一项实验性的项目,将自己曾获得&quot;危险边缘&quot;冠军的Watson机器人带入到物联网领域.现在,IBM继续扩大这一愿景,把Watson Analytics带入西门子基于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40jwPz.html" rel="bookmark" class="title">云桌面智能传输协议关键技术</a>
					<div>
						云桌面智能传输协议关键技术 董振江,王治平,张恒生 文章通过在桌面传输协议中应用动态网络服务质量(QoS)监控技术.实时对象检测传输技术和场景缓存技术,实现了对不同网络状态.多种对象环境和场景迁移等情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXNnVb.html" rel="bookmark" class="title">uva  10591 - Happy Number</a>
					<div>
						点击打开链接 题目意思:  给定一个数n,然后进行操作,先求出这个数每一位的平方和,然后这个和替代n继续做这个操作,知道当前的n为1 或 n之前以经出现过 ,如果n等于则是happy number , ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b223q4b.html" rel="bookmark" class="title">java怎么实现信息提示功能</a>
					<div>
						问题描述 java怎么实现信息提示功能 我想做一个用java语言开发的信息提示功能,就是当数据库某一张表有新数据添加的时候,后台管理员知道有新数据添加,页面的右下角弹出一个小框,慢慢变淡,就像漂流瓶或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgVrvM.html" rel="bookmark" class="title">《计算机存储与外设》----第2章 Computer Organization and Architecture&colon; Themes and Variations 主 存 储 器  2&period;1  简介</a>
					<div>
						本 节 书 摘 来 自 华 章 出 版 社 &lt;计算机存储与外设&gt; 一 书 中 的 第2章,第2.1节, 作 者 Computer Organization and Architecture ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1N20rp.html" rel="bookmark" class="title">JavaScript的String字符串对象常用操作总结&lowbar;javascript技巧</a>
					<div>
						创建String对象方式声明:String对象的方法也可以在所有基本字符串值中访问到. 调用构造函数String(): var str = new String(); var str = new St ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GVgAp.html" rel="bookmark" class="title">JS实现漂亮的窗口拖拽效果&lpar;可改变大小、最大化、最小化、关闭&rpar;&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JS实现漂亮的窗口拖拽效果.分享给大家供大家参考.具体如下: 这是一款漂亮的JS窗口拖拽效果(改变大小/最小化/最大化/还原/关闭) 特点: ① 窗口可以拖动: ② 窗口可以通过八个方向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYa49b.html" rel="bookmark" class="title">tplink如何修改路由器LAN口IP地址？</a>
					<div>
						我司路由器具有多种风格的管理界面,不同管理界面下修改路由器LAN口IP地址的方法不一样,请结合实际情况参考做设置. 注意:修改LAN口IP地址后,再次登录路由器界面时,建议采用域名tplogin.cn ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GKKNp.html" rel="bookmark" class="title">Response&period;Redirect的定向页面问题</a>
					<div>
						问题描述 try{intresult=Login(this.txtUserID.Text.Trim(),this.txtPassWord.Text.Trim());if(result==1){stri ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
